upstream majak {
    ip_hash;
    server app:8000;
}

server {
    server_name majak;
    listen 8080;

    client_max_body_size 10M;

    proxy_connect_timeout   60;
    proxy_send_timeout      60;
    proxy_read_timeout      60;
    send_timeout            60;

    location /media/ {
        alias /var/opt/majak/media_files/;
    }

    location / {
        proxy_pass http://majak/;
        proxy_set_header Host $host;
        proxy_set_header X-Forwarded-Proto https;
        proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
    }
}
